## eclipse 3.6.2~exp

=== debian/changelog ===
eclipse (3.6.2~exp-1) experimental; urgency=low

  [ Anders Kaseorg ]
  * debian/patches/gnomeproxy-pkg-config.patch: Use pkg-config to find
    include files and libraries for libgnomeproxy.  (LP: #749218)

  [ Benjamin Drung ]
  * New upstream version (Closes: #587742, LP: #604390).
    - Allows kernels with weird versions (LP: #600584).
  * Use a svn e3.6 branch snapshot of eclipse-build.
  * Drop four backported patches.
  * Drop fix-shell-script-perm.patch.
  * Refresh remaining patches.
  * Drop removed plugins and install new plugins.
  * Drop uname workaround.
  * Add six new patches.
  * Add three patches that moves commands from debian/rules into the ant build
    process.
  * Drop seven patches that are accepted upstream.

  [ Niels Thykier ]
  * Removed Adrian Perez, thanks for your support.
  * Updated debian/copyright.
  * Bumped B-D on icu4j.
  * Added B-D to build swt with webkit support.
  * Use mh_clean to clean up after the maven-repo-helper.
  * Pulled the eclipse-platform.NEWS from the master branch and removed the
    old NEWS file.
  * Reduced eclipse-plugins-cvs to a Suggests for eclipse-jdt.  (LP: #657286)
  * Made eclipse-plugin-cvs an architecture all package.
  * Made SWT load its JNI from well defined location to prevent occasional
    extraction to ~/.eclipse.

  [ Andres Mejia ]
  * Numerous changes to eclipse packaging just to get eclipse building using
    sbuild.
    - Changes introduced to eclipse so that it builds with latest ant (1.8.2).
      This required updating eclipse-build-generatedScripts.tar.bz2 inside the
      debian directory and reactivating the
      eclipse-build-generatedScripts.patch. This also requires renaming
      eclipse/plugins/org.apache.ant_1.7.1.v20100518-1145 to
      eclipse/plugins/org.apache.ant_1.8.2.v20101227-1145 during build time.
    - Ensure osgi.services is built. This requires activating the
      osgi-services-symlink-javax.patch.
    - In the patch to generate metadata and extract the swt libraries, the
      option -Declipse.p2.data.area should not be used. Also, the value passed
      with -profile should be SDKProfile.
  * Refresh patches and update descriptions.
  * Install swt*.jar symlinks in eclipse-platform package.
  * Add myself as Uploader.
  * Bump to Standards-Version 3.9.2.
  * Include needed dependency on libswt-gtk-3.6-jni for eclipse-rcp.
  * Update eclipse script for new upstream release.
  * Update script to implement better search for *.prefs files.
  * Fix generation of metadata needed to be able to install third party plugins.

 -- Andres Mejia <mcitadel@gmail.com>  Sun, 08 May 2011 22:06:51 -0400

eclipse (3.5.2-5) unstable; urgency=medium

  [ Benjamin Drung ]
  * Fix pattern matching to detect correct architecture.

  [ Niels Thykier ]
  * Move operations on arch:all packages to its own make target. Fixes FTBFS on
    all buildds.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 29 Jun 2010 22:00:44 +0200

eclipse (3.5.2-4) unstable; urgency=low

  [ Niels Thykier ]
  * Added menu entry for the Debian menu.
  * Moved a lot of arch-indep plugins into eclipse-platform-data.
  * Backported fix for poor tooltip colors with certain themes.
    (Closes: #582302, LP: #540332)
  * Backported fix for hover text visability problem.
  * Corrected a format issue in debian/copyright.
  * Removed depends on cvs for eclipse-plugin-cvs, it is not needed.
    (LP: #592508)
  * Removed Depends on JRE for libequinox-osgi-java.
  * Added patch to use sat4j 2.2 instead of 2.1 (Closes: #586978)
  * Added recommends on eclipse-pde for eclipse-platform.
    (LP: #593260)
  * Added patch to install the o.e.equinox.concurrent plugin in
    eclipse-platform (Closes: #585178)
  * Bumped (Build-)Depends on libhamcrest-java to 1.1-8 to avoid
    being affected by a regression in libhamcrest-java 1.1-7.

  [ Adnan Hodzic ]
  * Added debian/patches/fix-bashism.patch (Closes: #581099)

  [ Yulia Novozhilova ]
  * Added the Maven POMs for libequinox-osgi.java (LP: #598039)
  * Added a Build-Depends dependency on maven-repo-helper and maven-ant-helper
  * Added missing recommends on libservlet2.5-java for libequinox-osgi-java.

  [ Benjamin Drung ]
  * Bump Standards-Version to 3.9.0 (no changes required).

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 28 Jun 2010 22:25:42 +0200

eclipse (3.5.2-3) unstable; urgency=low

  [ Benjamin Drung ]
  * Set org.eclipse.swt.browser.XULRunnerPath explicitly. (LP: #546518)
  * Set MOZILLA_FIVE_HOME instead of LD_LIBRARY_PATH and
    org.eclipse.swt.browser.XULRunnerPath (LP: #559229, #553779).
  * Add apport hook to collect more useful data for bug reports.
  * Improve xulrunner path detection to work on Debian and Ubuntu.

  [ Niels Thykier ]
  * Added missing copyright statement about ownership over the Debian
    packaging.
  * Made eclipse use version depends on -jdt and -pde to ensure smoother
    upgrades from older versions.
  * Added reportbug helpers to eclipse-platform and eclipse.
  * Added Recommends on default-jdk | sun-java6-jdk for eclipse-jdt.
    (LP: #576952)
  * Added patch to deal with broken help-menu. (Closes: #576106, LP: #549904)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 08 May 2010 23:17:14 +0200
