## eclipse 3.7~exp

=== debian/changelog ===
eclipse (3.7~exp-3) experimental; urgency=low

  * Re-added main lucene bundle to eclipse-platform
  * Added myself to Uploaders, with permission

 -- Jimmy Kaplowitz <jimmy@debian.org>  Fri, 12 Aug 2011 13:58:12 -0400

eclipse (3.7~exp-2) experimental; urgency=low

  * Fixed the regression to pde-build script in eclipse-pde.

 -- Niels Thykier <niels@thykier.net>  Tue, 09 Aug 2011 14:19:52 +0200

eclipse (3.7~exp-1) experimental; urgency=low

  [ Andres Mejia ]
  * Update to my @debian.org email.

  [ Niels Thykier ]
  * New upstream release.
    - Built without xulrunner support  (Closes: #631061)
  * Added Build-Conflicts to ensure xulrunner is not picked up if
    built in unclean chroots.
  * B-D on liblucene2-java (>= 2.9.4+ds1-3~) due to #631234.
  * Bump debhelper compat to 8.

 -- Niels Thykier <niels@thykier.net>  Mon, 8 Aug 2011 23:15:00 +0200

eclipse (3.5.2-10) unstable; urgency=low

  [ Benjamin Drung ]
  * debian/extra/eclipse: Actually, don't export UBUNTU_MENUPROXY=0 here
    because that affects launched applications too.  Instead, it is
    blacklisted by appmenu-gtk (Closes: #616003).

  [ Niels Thykier ]
  * Bump ant and lucene2 (Build-)Depends. (Closes: #624213)
  * Backported patch from upstream to improve the ant 1.8.2 support in
    eclipse.
  * Added lintian-overrides for codeless-jar and jar-no-in-usr-share,
    as they are mostly false-positives.
  * Backported a fix to the pdebuild script from eclipse-build.
  * Bumped Standards-Version to 3.9.2 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Sat, 07 May 2011 22:08:35 +0200

eclipse (3.5.2-9) unstable; urgency=low

  * Bump version for sat4j. (Closes: #612738)
  * Backported patch for CVE-2010-4647. (Closes: #611849)
    - Fixes XSS in help browser application.

 -- Niels Thykier <niels@thykier.net>  Fri, 11 Feb 2011 14:15:40 +0100

eclipse (3.5.2-8) unstable; urgency=low

  [ Niels Thykier ]
  * Imported debdiffs from TJ and Didier Roche (see below).

  [ TJ ]
  * Backported fix for finding root CA in keystore rather than from
    JAR. (LP: #655833)

  [ Didier Roche ]
  * debian/extra/eclipse:
    - no appmenu for eclipse (thanks bratsche) (LP: #613119)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 19 Oct 2010 11:55:12 +0200

eclipse (3.5.2-7) unstable; urgency=low

  * Install the NEWS file in eclipse-platform instead of eclipse,
    where it belongs.
  * Added NEWS entry about how to workaround #587657.
  * Made (Build)-Depends on lucene2 and sat4j stricter.
  * Removed Adrian Perez from uploaders.

 -- Niels Thykier <niels@thykier.net>  Mon, 13 Sep 2010 20:23:51 +0200

eclipse (3.5.2-6) unstable; urgency=low

  [ Adnan Hodzic ]
  * Fixed libjetty-java and sat4j build/regular dependency versioning
    (see #591140)

  [ Niels Thykier ]
  * Added patch for pde-build to make it stop writing to ~/workspace,
    which is not acceptable during autobuilds. (Closes: #592526)
  * Use mh_clean for cleaning up after the maven repo helper, instead
    of using a homemade clean rule.
  * Bumped Standards-Versions to 3.9.1 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Fri, 20 Aug 2010 12:56:39 +0200
