=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Niels Thykier <niels@thykier.net>,
            Benjamin Drung <bdrung@debian.org>,
            Adnan Hodzic <adnan@foolcontrol.org>,
-           Andres Mejia <mcitadel@gmail.com>
+           Jimmy Kaplowitz <jimmy@debian.org>,
+           Andres Mejia <amejia@debian.org>
 Build-Depends: ant (>= 1.8.2),
                ant-optional,
-               debhelper (>= 7.0.50~),
+               debhelper (>= 8~),
                default-jdk,
                docbook2x,
                junit (>= 3.8.2-4),
@@ -26,11 +27,12 @@
                libgnomeui-dev,
                libgtk2.0-dev,
                libhamcrest-java (>= 1.1-8~),
-               libicu4j-4.2-java (>= 4.2),
+               libicu4j-4.4-java (>= 4.4.2),
                libjasper-java,
-               libjetty-java (>= 6.1.24),
+               libjetty-java (>= 6.1.24-4~),
                libjsch-java (>= 0.1.37-3),
-               liblucene2-java (>= 2.9.1+ds1-5),
+               liblucene2-java (>= 2.9.4+ds1-3~),
+               liblucene2-java (<< 2.9.5),
                libpango1.0-dev,
                libservlet2.5-java (>= 6.0.20-8),
                libwebkit-dev,
@@ -40,10 +42,12 @@
                maven-ant-helper,
                maven-repo-helper,
                pkg-config,
-               sat4j (>= 2.2),
+               rsync,
+               sat4j (>= 2.3.0),
+               sat4j (<< 2.4.0),
                unzip,
-               xulrunner-dev (>= 1.9.1.3-2),
                zip
+Build-Conflicts: xulrunner-dev
 Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/pkg-java/eclipse.git
@@ -116,7 +120,7 @@
 
 Package: eclipse-platform
 Architecture: any
-Depends: ant (>= 1.7.1),
+Depends: ant (>= 1.8.2),
          ant-optional,
          default-jre | java5-runtime | java6-runtime,
          eclipse-platform-data (>= ${source:Version}),
@@ -127,11 +131,13 @@
          libcommons-httpclient-java (>= 3.1-9),
          libcommons-logging-java (>= 1.1.1-6),
          libjasper-java,
-         libjetty-java (>= 6.1.24),
+         libjetty-java (>= 6.1.24-4~),
          libjsch-java (>= 0.1.37-3),
-         liblucene2-java (>= 2.9.1+ds1-5),
+         liblucene2-java (>= 2.9.4+ds1-3~),
+         liblucene2-java (<< 2.9.5),
          libservlet2.5-java (>= 6.0.20-8),
-         sat4j (>= 2.2),
+         sat4j (>= 2.3.0),
+         sat4j (<< 2.4.0),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
@@ -209,7 +215,7 @@
 Architecture: any
 Depends: default-jre | java5-runtime | java6-runtime,
          libequinox-osgi-java (= ${source:Version}),
-         libicu4j-4.2-java (>= 4.2),
+         libicu4j-4.4-java (>= 4.4.2),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: ${shlibs:Recommends}
