=== debian/watch ===
version=3
# http://download.eclipse.org/technology/linuxtools/eclipse-build/
ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse/technology/linuxtools/eclipse-build/3.6.x_Helios/eclipse-([\d\.]*)-src\.tar\.bz2
