## eclipse 3.7.0

=== debian/changelog ===
eclipse (3.7.0-1) unstable; urgency=low

  [ Benjamin Drung ]
  * Upload to unstable (Closes: #631382, #642085).
  * Use pkg-config to determine CFLAGS and LIBS for gnomeproxy.
  * Eclipse 3.7 requires at least version 3.3 of asm3.
  * Update debian/copyright.
  * Drop xulrunner from Apport hook.
  * Update debian/watch file.
  * Add patch to find libjasper-java 5.5.33-1 on Debian.
  * Update lintian overrides.

  [ Damien Raude-Morvan ]
  * d/patches/find-newer-servlet-api.patch: Patch to support libservlet2.5.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 22 Oct 2011 16:01:50 +0200

eclipse (3.7~exp-5) experimental; urgency=low

  * Forced many Eclipse version qualifiers to "dist" to avoid buildd
    issues (new patch: forceContextQualifier.patch)

 -- Jimmy Kaplowitz <jimmy@debian.org>  Thu, 25 Aug 2011 14:45:51 -0400

eclipse (3.7~exp-4) experimental; urgency=low

  * We need to install org.eclipse.equinox.concurrent in eclipse-
    platform-data in order for many features to work
  * Merge eclipse-plugin-cvs into eclipse-platform-data, updating
    package description accordingly. Added unversioned Replaces and
    Breaks.

 -- Jimmy Kaplowitz <jimmy@debian.org>  Sat, 20 Aug 2011 04:15:10 -0400
