=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                docbook2x,
                junit (>= 3.8.2-4),
                junit4 (>= 4.7-3),
-               libasm3-java (>= 3.2-3),
+               libasm3-java (>= 3.3),
                libatk1.0-dev,
                libcairo2-dev,
                libcommons-codec-java (>= 1.4-2),
@@ -28,7 +28,7 @@
                libgtk2.0-dev,
                libhamcrest-java (>= 1.1-8~),
                libicu4j-4.4-java (>= 4.4.2),
-               libjasper-java,
+               libjasper-java (>= 5.5.26),
                libjetty-java (>= 6.1.24-4~),
                libjsch-java (>= 0.1.37-3),
                liblucene2-java (>= 2.9.4+ds1-3~),
@@ -102,7 +102,7 @@
 Depends: default-jre | java5-runtime | java6-runtime,
          eclipse-jdt (= ${binary:Version}),
          eclipse-platform (= ${binary:Version}),
-         libasm3-java (>= 3.2-3),
+         libasm3-java (>= 3.3),
          ${misc:Depends}
 Suggests: eclipse
 Replaces: eclipse-pde-gcj
@@ -130,7 +130,7 @@
          libcommons-el-java (>= 1.0-5),
          libcommons-httpclient-java (>= 3.1-9),
          libcommons-logging-java (>= 1.1.1-6),
-         libjasper-java,
+         libjasper-java (>= 5.5.26),
          libjetty-java (>= 6.1.24-4~),
          libjsch-java (>= 0.1.37-3),
          liblucene2-java (>= 2.9.4+ds1-3~),
@@ -176,7 +176,9 @@
 Depends: ${misc:Depends}
 Replaces: eclipse (<< 3.5.2),
           eclipse-platform (<< 3.5.2-4),
-          eclipse-platform-gcj
+          eclipse-platform-gcj,
+          eclipse-plugin-cvs
+Breaks: eclipse-plugin-cvs
 Description: Eclipse platform without plug-ins to develop any language (data)
  The Eclipse Platform is an open and extensible platform for anything and yet
  nothing in particular. It provides a foundation for constructing and running
@@ -194,21 +196,8 @@
  This package is the base for all eclipse plug-ins.
  .
  This package contains the architecture-independent data files.
-
-Package: eclipse-plugin-cvs
-Architecture: all
-Depends: default-jre | java5-runtime | java6-runtime,
-         eclipse-platform (>= ${source:Version}),
-         ${misc:Depends}
-Replaces: eclipse-cvs
-Description: Eclipse Team Integration (CVS support)
- The Eclipse Platform is an open and extensible platform for anything and yet
- nothing in particular. It provides a foundation for constructing and running
- integrated software-development tools. The Eclipse Platform allows tool
- builders to independently develop tools that integrate with other people's
- tools so seamlessly you can't tell where one tool ends and another starts.
- .
- This package provides CVS support for Source Code Management to the
+ .
+ This package also provides CVS support for Source Code Management to the
  Eclipse Team Integration component.
 
 Package: eclipse-rcp
