=== debian/rules ===
--- 
+++ 
@@ -98,8 +98,7 @@
 # Operations on arch: all packages - not invoked if building with -B
 override_dh_install_indep:
 	# mv arch-indep plugins from lib to share
-	cd debian/eclipse-platform-data/usr && find lib/ -type f -path '*lib/eclipse/plugins/*' | perl ../../../debian/extra/imagemv.pl
-	cd debian/eclipse-plugin-cvs/usr && find lib/ -type f -path '*lib/eclipse/*' | perl ../../../debian/extra/imagemv.pl
+	cd debian/eclipse-platform-data/usr && find lib/ -type f -path '*lib/eclipse/*' | perl ../../../debian/extra/imagemv.pl
 	# Expose osgi jars
 	mkdir -p debian/libequinox-osgi-java/usr/share/java
 	cd debian/libequinox-osgi-java/usr/share/java && \
