## eclipse 3.7.1

=== debian/changelog ===
eclipse (3.7.1-1) unstable; urgency=low

  * New upstream release (Closes: #652839).
  * Fix FTBFS with libjasper-java 5.5.33-2
  * Add Jakub Adam to Uploaders
  * Depend on libjasper-java >= 5.5.33-2 (Closes: #648641)
  * Removed GDK_NATIVE_WINDOWS=true workaround
  * Fixed update site injection on first Eclipse startup and changed
    URL to Indigo update site

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 31 Dec 2011 15:49:15 +0100
