=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
-           Benjamin Drung <bdrung@debian.org>,
            Adnan Hodzic <adnan@foolcontrol.org>,
            Jimmy Kaplowitz <jimmy@debian.org>,
-           Andres Mejia <amejia@debian.org>
+           Andres Mejia <amejia@debian.org>,
+           Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends: ant (>= 1.8.2),
                ant-optional,
                debhelper (>= 8~),
@@ -28,7 +28,7 @@
                libgtk2.0-dev,
                libhamcrest-java (>= 1.1-8~),
                libicu4j-4.4-java (>= 4.4.2),
-               libjasper-java (>= 5.5.26),
+               libjasper-java (>= 5.5.33-2),
                libjetty-java (>= 6.1.24-4~),
                libjsch-java (>= 0.1.37-3),
                liblucene2-java (>= 2.9.4+ds1-3~),
