=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,8 @@
 	ant installSDKinDropins -Dprefix=/usr -DdestDir=$(CURDIR)/debian/tmp
 
 DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
-JNI_SO_PATH = debian/eclipse-rcp/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/*/1/.cp
+CFG_OSGI_BUNDLES_PATH = debian/eclipse-rcp/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles
+JNI_SO_PATH := $(CFG_OSGI_BUNDLES_PATH)/*/1/.cp
 SWT_SO_PATH := $(CURDIR)/debian/eclipse-rcp/usr/lib/eclipse/debian-swt
 LAUNCHER_LIB = debian/eclipse-rcp/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher.*/eclipse_*.so
 
@@ -90,7 +91,7 @@
 	$(if $(wildcard debian/tmp/usr/lib/eclipse/plugins/org.eclipse.update.core.linux*.jar),dh_install -peclipse-platform debian/tmp/usr/lib/eclipse/plugins/org.eclipse.update.core.linux*.jar /usr/lib/eclipse/plugins)
 	mkdir "$(SWT_SO_PATH)"
 	find $(JNI_SO_PATH) -name 'libswt*.so' -exec mv {} "$(SWT_SO_PATH)" \;
-	find $(JNI_SO_PATH) -depth -type d -a -empty -delete
+	find $(CFG_OSGI_BUNDLES_PATH) -depth -type d -a -empty -delete
 	# Check if we are doing a -B build
 	[ ! -d debian/eclipse-platform-data ] || debian/rules override_dh_install_indep
 	chmod 0644 debian/eclipse-rcp/usr/lib/eclipse/about_files/IJG_README
